Sets the color of certain elements

- « phpdbg_clear

- phpdbg_end_oplog »

- PHP Manual
- phpdbg Functions
- Sets the color of certain elements

# phpdbg_color

(PHP 5 >= 5.6.0, PHP 7, PHP 8)

phpdbg_color — Sets the color of certain elements

### Description

phpdbg_color(int `$element`, string `$color`): void

Set the `color` of the given `element`.

### Parameters

`element`

  One of the `PHPDBG_COLOR_*` constants.

`color`

  The name of the color. One of `white`, `red`, `green`, `yellow`, `blue`, `purple`, `cyan` or `black`, optionally with either a trailing `-bold` or `-underline`, for instance, `white-bold` or `green-underline`.

### Return Values

No value is returned.

### See Also

- phpdbg_prompt() - Sets the command prompt